<?php
	require_once( $GLOBALS["site_root"] . "/includes/models/Languages.inc.php" );

	class LanguageBox extends Widget {

		public function render() {
			if ($this->sRendered) return $this->sRendered;

			$langs = LanguagesModel::getLanguageOptions( false );
			$this->setParam( "languages" , implode( ", " , $langs ) );
			return parent::render();
		}

	}

?>
